28.03.2019 07:53
DimonNT
 
Друзья, раз есть ветка про Артикс, думаю изолью всё что накопилось за годы мытарств))
Такая беда: постоянно сбрасывается репозиторий до версии: artix-4.6.107-2 т.е. я обновился уже до: 4.6.125-4 и после обновления через какое-то время репозиторий скидывает до 4.6.107-2
как бы не критично, ибо обновление всё-равно в ручном режиме проходит, но бывают нештатные ситуации, и в ненужный момент времени вместо актуального релиза может откатить до 4.6.107-2, что приводит к незапуску кассы..
Может кто сталкивался с таким?
28.03.2019 11:24
Vintiknef
 
Еще ни разу с таким не сталкивался. Единственное, что может быть - это обновление кассы до определенной версии (в данном случае с 125 до 107) с помощью puppet сервера.
Также еще попробоуйте поссмотреть есть ли установленный пакет artix-upgrade-system2 (он может устанавливать новую версию кассы)
28.03.2019 12:04
DimonNT
 
Vintiknef, Спасибо за направление))) Был установлен пакет: artix-upgrade-system2 от версии 4.6.107-2 и он похоже переписывал свои репозитории для обновлений, полчаса прошло, пока ничего не сбросилось, думаю и не сбросится )).. Спасибо за помощь!
28.03.2019 12:19
DimonNT
 
ps. Решение было такое: Удалил artix-upgrade-system2 и установил заново))
28.03.2019 12:42
Vintiknef
 
DimonNT, я бы так не делал. Если через некоторое время забудется, то опять будет поиск непонятной проблемы.
Лучше решить проблему навсегда, чем только один раз.
Ну или как вариант делать обновление не через обновлние пакетов, а apt-get upgrade изначально, т.к. бывают пакеты, которые не всегда упомнишь, ну и в зависимости иногда может что-то не попасть
28.03.2019 12:50
DimonNT
 
Цитата:
Vintiknef Лучше решить проблему навсегда, чем только один раз.
Ну при очередном обновлении видно этот пакет не обновился вот и возникла беда..

Цитата:
Vintiknef Ну или как вариант делать обновление не через обновлние пакетов, а apt-get upgrade
Я всегда делаю по инструкции:
aptitude update
aptitude full-upgrade
05.04.2019 07:25
DimonNT
 
Признаю ошибку, замена пакета не помогла.... всё также репозиторий скидывает до 4.107-2
07.04.2019 12:13
newkid
 
Как уже писали смотри настройки puppet. Скорее всего в них затык.
08.04.2019 08:23
DimonNT
 
Цитата:
newkid Как уже писали смотри настройки puppet. Скорее всего в них затык.
Так в Puppet только прописывается SSL и адрес сервера..

Или я не прав?
08.04.2019 10:47
Vintiknef
 
Цитата:
DimonNT Так в Puppet только прописывается SSL и адрес сервера..

Или я не прав?
с помощью puppet можно производить централизованное обновление касс. Если у Вас не используется puppet (или Вы не знаете где расположенн puppet сервер), то необходимо отключить работу puppet-agent (можно указать неправильный адрес сервера например), удалить пакет artix-upgrade, перезагрузить кассу и обновить кассу до необходимой версии.
Проблема должна уйти

Форум на базе vBulletin®
Copyright © Jelsoft Enterprises Ltd.
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.